/*
 * Standard containers, std::vector, exercise 2.
 *
 * Execute: a.out < cars_of_the_world.txt
 */
#include <iostream>
#include <algorithm>
#include <string>
#include <vector>
#include <iterator>
using namespace std;

int main()
{
   vector<string> cars{ istream_iterator<string>(cin), istream_iterator<string>() };

   sort(begin(cars), end(cars));
   copy(begin(cars), end(cars), ostream_iterator<string>(cout, "\n"));
   
   return 0;
}
