/*
 * Standard containers, std:.vector, exercise 7.
 */
#include <iostream>
#include <vector>
#include <algorithm>
#include <functional>
using namespace std;

int main()
{
   vector<int> v{ 12, 4, 18, 6, 8, 20, 2, 10, 16, 14 };

   sort(begin(v), end(v), greater<int>());

   int x;

   do
   {
      cout << "Value to look for (0 to end)? ";
      cin >> x;
      if (binary_search(begin(v), end(v), x, greater<int>()))
	 cout << x << " was found.\n";
      else if (x != 0)
	 cout << x << " was not found.\n";
   }
   while (x != 0);

   return 0;
}
